Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Pole Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Pole Struct Reference

An inlet or outlet pole. More...

`import "Pole.idl";`

## Public Attributes
string | label
| Pole label
PowerLine | line
| Power line.
int | nodeId
| Circuit node id.
sensors::NumericSensor | voltage
| RMS voltage sensor, L-L, may be a VoltageMonitoringSensor.
sensors::NumericSensor | voltageLN
| RMS voltage sensor, L-N (Wye) or L-PE (Delta), may be a VoltageMonitoringSensor.
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor | residualCurrent
| Residual current sensor.
sensors::NumericSensor | residualACCurrent
| AC Residual current sensor.
sensors::NumericSensor | residualDCCurrent
| DC Residual current sensor.
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | voltageThd
| Voltage total harmonic distortion sensor.
sensors::NumericSensor | currentThd
| Current total harmonic distortion sensor.
ResidualCurrentStateSensor | residualCurrentStatus
| Residual current monitor state sensor.

## Detailed Description

An inlet or outlet pole.

Definition at line 29 of file Pole.idl.

## Member Data Documentation

## ◆ activeEnergy

sensors::NumericSensor pdumodel::Pole::activeEnergy

Active energy sensor.

Definition at line 43 of file Pole.idl.

## ◆ activePower

sensors::NumericSensor pdumodel::Pole::activePower

Active power sensor.

Definition at line 37 of file Pole.idl.

## ◆ apparentEnergy

sensors::NumericSensor pdumodel::Pole::apparentEnergy

Apparent energy sensor.

Definition at line 44 of file Pole.idl.

## ◆ apparentPower

sensors::NumericSensor pdumodel::Pole::apparentPower

Apparent power sensor.

Definition at line 39 of file Pole.idl.

## ◆ crestFactor

sensors::NumericSensor pdumodel::Pole::crestFactor

Crest factor sensor.

Definition at line 50 of file Pole.idl.

## ◆ current

sensors::NumericSensor pdumodel::Pole::current

RMS current sensor.

Definition at line 35 of file Pole.idl.

## ◆ currentThd

sensors::NumericSensor pdumodel::Pole::currentThd

Current total harmonic distortion sensor.

Definition at line 52 of file Pole.idl.

## ◆ displacementPowerFactor

sensors::NumericSensor pdumodel::Pole::displacementPowerFactor

Displacement power factor sensor.

Definition at line 42 of file Pole.idl.

## ◆ label

string pdumodel::Pole::label

Pole label

Definition at line 30 of file Pole.idl.

## ◆ line

PowerLine pdumodel::Pole::line

Power line.

Definition at line 31 of file Pole.idl.

## ◆ nodeId

int pdumodel::Pole::nodeId

Circuit node id.

Definition at line 32 of file Pole.idl.

## ◆ peakCurrent

sensors::NumericSensor pdumodel::Pole::peakCurrent

Peak current sensor.

Definition at line 36 of file Pole.idl.

## ◆ phaseAngle

sensors::NumericSensor pdumodel::Pole::phaseAngle

Phase angle sensor.

Definition at line 41 of file Pole.idl.

## ◆ powerFactor

sensors::NumericSensor pdumodel::Pole::powerFactor

Power factor sensor.

Definition at line 40 of file Pole.idl.

## ◆ reactivePower

sensors::NumericSensor pdumodel::Pole::reactivePower

Reactive power sensor.

Definition at line 38 of file Pole.idl.

## ◆ residualACCurrent

sensors::NumericSensor pdumodel::Pole::residualACCurrent

AC Residual current sensor.

(AC portion of residual operating current)

Definition at line 46 of file Pole.idl.

## ◆ residualCurrent

sensors::NumericSensor pdumodel::Pole::residualCurrent

Residual current sensor.

Definition at line 45 of file Pole.idl.

## ◆ residualCurrentStatus

ResidualCurrentStateSensor pdumodel::Pole::residualCurrentStatus

Residual current monitor state sensor.

Definition at line 53 of file Pole.idl.

## ◆ residualDCCurrent

sensors::NumericSensor pdumodel::Pole::residualDCCurrent

DC Residual current sensor.

(DC portion of residual operating current)

Definition at line 48 of file Pole.idl.

## ◆ voltage

sensors::NumericSensor pdumodel::Pole::voltage

RMS voltage sensor, L-L, may be a VoltageMonitoringSensor.

Definition at line 33 of file Pole.idl.

## ◆ voltageLN

sensors::NumericSensor pdumodel::Pole::voltageLN

RMS voltage sensor, L-N (Wye) or L-PE (Delta), may be a VoltageMonitoringSensor.

Definition at line 34 of file Pole.idl.

## ◆ voltageThd

sensors::NumericSensor pdumodel::Pole::voltageThd

Voltage total harmonic distortion sensor.

Definition at line 51 of file Pole.idl.

The documentation for this struct was generated from the following file:

- Pole.idl